# Driving License Advance

Verify driver's license details using RTO data across Indian states for secure and accurate identity authentication during compliance and onboarding.

### Submit Document

#### `ind_driving_license`

`POST` `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_driving_license_advance`

**Post parameters description is given below**

| Post Parameter | Type   | Is Mandatory | Description    |
| -------------- | ------ | ------------ | -------------- |
| idNumber       | String | Yes          | Your DL Number |
| dateOfBirth    | String | Yes          | DOB            |

**Sample Post Parameters**

```json
{
  "idNumber": "TN6320100000762",
  "dateOfBirth": "DD-MM-YYYY"
}
```

**200: Success Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "739c9b70-dc3a-4b01-a078-80c6a4c6c36d",
  "status": "completed",
  "result": {
    "name": "SIVA",
    "fatherOrHusband": "MANIKANDAN",
    "issueDate": "12-01-2021",
    "bloodGroup": "A1+",
    "dob": "08-07-2001",
    "licenseNumber": "TN6320100000762",
    "transportvalidity": "",
    "nonTransportValidity": "12-01-2021 to 07-07-2041",
    "status": "Active",
    "covDetails": [\
      {\
        "cov": "MCWG",\
        "issueDate": "12-01-2021"\
      }\
    ],
    "address": "69 A SOUTH STREET PADAINILAI Pappakudi (North) UDAYARPALAYAM TK,ARIYALUR,TN 612903",
    "statusDetails": {
      "from": "",
      "to": "",
      "remarks": ""
    },
    "initialIssuingOffice": "RTO, ARIYALUR",
    "lastEndorsementDate": "12-01-2021",
    "lastEndorsedOffice": "RTO, ARIYALUR",
    "endorsementReason": "ISSUE OF DRIVING LICENCE",
    "hazardousValidTill": "NA",
    "licenseImageUrl": {
      "key": "kyc/TUTWEBK00341/LicenseImagesDocuments/license_image_1778247691052-17782476909303.jpg",
      "signed_url": "http://3.108.106.182:8000/image-pub/kyc/TUTWEBK00341/LicenseImagesDocuments/license_image_1778247691052-17782476909303.jpg"
    }
  },
  "requested_at": "2026-05-08T13:41:27.219Z",
  "completed_at": "2026-05-08T13:41:31.203Z"
}
```

**200: InProgress Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "61c7485c-4834-4e5c-b680-917a8ecae0a1",
  "status": "in_progress",
  "requested_at": "2026-05-08T13:41:27.219Z"
}
```

**400: Validation Error Response**

```json
{
  "success": false,
  "code": 400,
  "message": "Driving license number should not be empty",
  "error": {
    "message": "Driving license number should not be empty",
    "field": "idNumber",
    "code": "BAD_REQUEST"
  }
}
{
  "success": false,
  "code": 400,
  "message": "Invalid Driving license number",
  "error": {
    "message": "Invalid Driving license number",
    "field": "idNumber",
    "code": "BAD_REQUEST"
  }
}
{
  "success": false,
  "code": 400,
  "message": "Invalid date of birth format. Use DD-MM-YYYY.",
  "error": {
    "message": "Invalid date of birth format. Use DD-MM-YYYY.",
    "field": "dateOfBirth",
    "code": "BAD_REQUEST"
  }
}
{
  "success": false,
  "code": 400,
  "message": "Date of birth should not be empty",
  "error": {
    "message": "Date of birth should not be empty",
    "field": "dateOfBirth",
    "code": "BAD_REQUEST"
  }
}
```

**200: Failure Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "40c16499-7f8b-4214-b9b1-8d2ef3a8cf56",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2026-05-11T09:16:29.800Z",
  "completed_at": "2026-05-11T09:16:47.632Z"
}
```

### Document Status

#### Get document details

`GET` `https://secctrl.tutelar.io/api/v1/kyc/identity/ind_driving_license_advance`

**Query parameters description is given below**

| Query Parameter | Type   | Is Mandatory | Description           |
| --------------- | ------ | ------------ | --------------------- |
| reference\_id   | String | Yes          | Document reference id |

**200: Success Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request has been successfully completed.",
  "reference_id": "739c9b70-dc3a-4b01-a078-80c6a4c6c36d",
  "status": "completed",
  "result": {
    "name": "SIVA",
    "fatherOrHusband": "MANIKANDAN",
    "issueDate": "12-01-2021",
    "bloodGroup": "A1+",
    "dob": "08-07-2001",
    "licenseNumber": "TN6120210000xxxxx",
    "transportvalidity": "",
    "nonTransportValidity": "12-01-2021 to 07-07-2041",
    "status": "Active",
    "covDetails": [\
      {\
        "cov": "MCWG",\
        "issueDate": "12-01-2021"\
      }\
    ],
    "address": "69 A SOUTH STREET PADAINILAI Pappakudi (North) UDAYARPALAYAM TK,ARIYALUR,TN 612903",
    "statusDetails": {
      "from": "",
      "to": "",
      "remarks": ""
    },
    "initialIssuingOffice": "RTO, ARIYALUR",
    "lastEndorsementDate": "12-01-2021",
    "lastEndorsedOffice": "RTO, ARIYALUR",
    "endorsementReason": "ISSUE OF DRIVING LICENCE",
    "hazardousValidTill": "NA",
    "licenseImageUrl": {
      "key": "kyc/TUTWEBK00341/LicenseImagesDocuments/license_image_1778247691052-17782476909303.jpg",
      "signed_url": "http://3.108.106.182:8000/image-pub/kyc/TUTWEBK00341/LicenseImagesDocuments/license_image_1778247691052-17782476909303.jpg"
    }
  },
  "requested_at": "2026-05-08T13:41:27.219Z",
  "completed_at": "2026-05-08T13:41:31.203Z"
}
```

**200: InProgress Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request is being processed. Please wait for completion.",
  "reference_id": "61c7485c-4834-4e5c-b680-917a8ecae0a1",
  "status": "in_progress",
  "requested_at": "2026-05-08T13:41:27.219Z"
}
```

**200: Failure Response**

```json
{
  "success": true,
  "code": 200,
  "message": "The request could not be completed due to an error.",
  "reference_id": "40c16499-7f8b-4214-b9b1-8d2ef3a8cf56",
  "status": "failed",
  "error": {
    "message": "Invalid details were provided. Please submit valid details.",
    "code": "ERROR"
  },
  "requested_at": "2026-05-11T09:16:29.800Z",
  "completed_at": "2026-05-11T09:16:47.632Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.v2.tutelar.io/driving-license-advance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
